<?php
/**
 * @package		jbreedm
 * @subpackage	
 * @author		Marc Letouze {@link http://www.protolbv.fr/jbreeding/}
 * @mailauthor	marc.letouze@liubov.net
 * @author		Created on 26-Jul-2009
 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

class ObjectifcarboneControllerConfig extends JController
{
    
    /**
	 * Custom Constructor
	 */
	function __construct( $default = array() )
	{
		// Set a default view if none exists
		if ( ! JRequest::getCmd( 'view' ) ) {
			
			JRequest::setVar('view', 'config' );
		}
		
		parent::__construct( $default );
		
		$this->registerTask( 'default', 'defaultConfig' );
	}
    
    
    function save()
    {

        $b_label = JRequest::getVar( 'b_label' , array() , 'POST' , 'array' );
        $c_label = JRequest::getVar( 'c_label' , array() , 'POST' , 'array' );
	      $d_label = JRequest::getVar( 'd_label' , array() , 'POST' , 'array' );
        $e_label = JRequest::getVar( 'e_label' , array() , 'POST' , 'array' );
        $f_label = JRequest::getVar( 'f_label' , array() , 'POST' , 'array' );
        $g_label = JRequest::getVar( 'g_label' , array() , 'POST' , 'array' );	

         
        $config = array_merge( $b_label, $c_label, $d_label, $e_label, $f_label, $g_label );
        
        $component =& JComponentHelper::getComponent('com_objectifcarbone');
        
        $t_component =& JTable::getInstance('component');
        $t_component->load( $component->id );
        $t_component->bind( array('params'=> $config ));

        $redirectLink = 'index.php?option=com_objectifcarbone' ;
        $this->setRedirect( $redirectLink );
        
        if ( !$t_component->store() ) {
            
            JError::raiseWarning( 200, JText::_('ERROR_CONFIG_SAVED') );
           
        } else {
            
            $msg = JText::_('CONFIG_SAVED');
			$this->setRedirect( $redirectLink , $msg );
        }
        
    }
    
    
    /**
     * Restore default configuration
     *
     */
    function defaultConfig()
    {
	    $component =& JComponentHelper::getComponent('com_objectifcarbone');

        $t_component =& JTable::getInstance('component');
       
        $t_component->load( $component->id );
        $t_component->params='';       
        
        
        $redirectLink = 'index.php?option=com_objectifcarbone' ;
        $this->setRedirect( $redirectLink );
        
        if ( !$t_component->store() ) {
            
            JError::raiseWarning( 200, JText::_('ERROR_CONFIG_RESTORED') );
           
            
        } else {
            
            $msg = JText::_('CONFIG_RESTORED') ;
			$this->setRedirect( $redirectLink , $msg );
        }

    }
	
	
}
